#ifndef render_h
#define render_h

#include <GLES3/gl31.h>
#include <cuda.h>
#include <cuda_runtime.h>
#include <cuda_gl_interop.h>
// Utilities and timing functions
#include <helper_functions.h> 

class CudaGLES
{
	int m_width;
	int m_height;
	GLuint m_vao, m_vbo, m_shader;
	char *window_name;
	struct cudaGraphicsResource *m_position;
	struct cudaGraphicsResource *m_color;
	uchar4 *cuda_buffer;
	
	public :
		void InitCudaGLES(int width, int height, char *window_name);
		void RenderCudaBuffer(unsigned char *buff);
		void stop();
};
#endif
